Index: src/org/jboss/tools/seam/ui/wizard/RenameSeamContextVariableWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/RenameSeamContextVariableWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/RenameSeamContextVariableWizard.java	(working copy)
@@ -32,10 +32,10 @@
 import org.jboss.tools.common.ui.widget.editor.IFieldEditorFactory;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.internal.core.refactoring.RenameSeamContextVariableProcessor;
 import org.jboss.tools.seam.internal.core.refactoring.SeamRenameProcessor;
-import org.jboss.tools.seam.ui.SeamUIMessages;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
 
 /**
  * @author Daniel Azarov
@@ -77,7 +77,7 @@
 	        layout.numColumns = 2;
 	        
 	        String defaultName = processor.getOldName();
-	        editor = IFieldEditorFactory.INSTANCE.createTextEditor(componentName, SeamUIMessages.SEAM_WIZARD_FACTORY_SEAM_COMPONENT_NAME, defaultName);
+	        editor = IFieldEditorFactory.INSTANCE.createTextEditor(componentName, SeamCoreMessages.SEAM_WIZARD_FACTORY_SEAM_COMPONENT_NAME, defaultName);
 	        editor.doFillIntoGrid(container);
 	        
 	        ((CompositeEditor)editor).addPropertyChangeListener(new PropertyChangeListener(){
@@ -92,7 +92,7 @@
 		protected final void validatePage() {
 			Map<String, IStatus> errors = SeamValidatorFactory.SEAM_COMPONENT_NAME_VALIDATOR.validate(editor.getValueAsString(), seamProject);
 			if(!errors.isEmpty()) {
-				setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamUIMessages.SEAM_BASE_WIZARD_PAGE_SEAM_COMPONENTS));
+				setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_SEAM_COMPONENTS));
 				setPageComplete(false);
 				return;
 			}
Index: src/org/jboss/tools/seam/ui/widget/editor/SeamRuntimeListFieldEditor.java
===================================================================
--- src/org/jboss/tools/seam/ui/widget/editor/SeamRuntimeListFieldEditor.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/widget/editor/SeamRuntimeListFieldEditor.java	(working copy)
@@ -64,13 +64,13 @@
 import org.jboss.tools.common.ui.widget.editor.IFieldEditorFactory;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.SeamUtil;
 import org.jboss.tools.seam.core.project.facet.SeamRuntime;
 import org.jboss.tools.seam.core.project.facet.SeamRuntimeManager;
 import org.jboss.tools.seam.core.project.facet.SeamVersion;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
-import org.jboss.tools.seam.ui.SeamUIMessages;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.ui.wizard.SeamFormWizard;
 
 /**
@@ -243,15 +243,15 @@
 
 		TableColumn tc2 = new TableColumn(tableView.getTable(), SWT.LEFT);
 		tc2.setWidth(TC_NAME_WIDTH);
-		tc2.setText(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NAME);
+		tc2.setText(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NAME);
 
 		TableColumn tc3 = new TableColumn(tableView.getTable(), SWT.LEFT);
 		tc3.setWidth(TC_VERSION_WIDTH);
-		tc3.setText(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_VERSION);
+		tc3.setText(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_VERSION);
 
 		TableColumn tc4 = new TableColumn(tableView.getTable(), SWT.LEFT);
 		tc4.setWidth(TC_PATH_WIDTH);
-		tc4.setText(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_PATH);
+		tc4.setText(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_PATH);
 
 		tableView.setContentProvider(new IStructuredContentProvider() {
 
@@ -260,7 +260,7 @@
 					return ((List<SeamRuntime>) inputElement).toArray();
 				} else {
 					throw new IllegalArgumentException(
-							SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_INPUTELEMENT_MUST_BE_LIST);
+							SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_INPUTELEMENT_MUST_BE_LIST);
 				}
 			}
 
@@ -423,11 +423,11 @@
 		Assert
 				.isTrue(
 						parent instanceof Composite,
-						SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_PARENT_CONTROL_SHOULD_BE_COMPOSITE);
+						SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_PARENT_CONTROL_SHOULD_BE_COMPOSITE);
 		Assert
 				.isTrue(
 						((Composite) parent).getLayout() instanceof GridLayout,
-						SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_EDITOR_SUPPORTS_ONLY_GRID_LAYOUT);
+						SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_EDITOR_SUPPORTS_ONLY_GRID_LAYOUT);
 		Composite aComposite = (Composite) parent;
 		Control[] controls = (Control[]) getEditorControls(aComposite);
 		GridLayout gl = (GridLayout) ((Composite) parent).getLayout();
@@ -458,7 +458,7 @@
 		List<SeamRuntime> value = null;
 
 		IFieldEditor name = IFieldEditorFactory.INSTANCE.createTextEditor(
-				SRT_NAME, SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NAME2,
+				SRT_NAME, SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NAME2,
 				""); //$NON-NLS-1$ 
 
 		IFieldEditor version = null;
@@ -466,7 +466,7 @@
 		IFieldEditor homeDir = IFieldEditorFactory.INSTANCE
 				.createBrowseFolderEditor(
 						SRT_HOMEDIR,
-						SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_HOME_FOLDER,
+						SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_HOME_FOLDER,
 						""); //$NON-NLS-1$ 
 
 		SeamRuntime current = null;
@@ -495,11 +495,11 @@
 		public SeamRuntimeWizardPage(List<SeamRuntime> editedList,
 				List<SeamVersion> validSeamVersions) {
 			super(
-					SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NEW_SEAM_RUNTIME);
+					SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NEW_SEAM_RUNTIME);
 			if (validSeamVersions == null) {
 				this.version = IFieldEditorFactory.INSTANCE.createComboEditor(
 						SRT_VERSION,
-						SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_VERSION2,
+						SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_VERSION2,
 						Arrays.asList(new String[] {
 								SeamVersion.SEAM_1_2.toString(),
 								SeamVersion.SEAM_2_0.toString(),
@@ -516,14 +516,14 @@
 			} else {
 				this.version = IFieldEditorFactory.INSTANCE.createComboEditor(
 						SRT_VERSION,
-						SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_VERSION2,
+						SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_VERSION2,
 						validSeamVersions, SeamVersion.SEAM_1_2.toString(),
 						false);
 				this.validSeamVersions = validSeamVersions;
 			}
 
-			setMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CREATE_A_SEAM_RUNTIME);
-			setTitle(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_SEAM_RUNTIME);
+			setMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CREATE_A_SEAM_RUNTIME);
+			setTitle(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_SEAM_RUNTIME);
 			setImageDescriptor(ImageDescriptor.createFromFile(
 					SeamFormWizard.class, "SeamWebProjectWizBan.png")); //$NON-NLS-1$
 			value = editedList;
@@ -587,7 +587,7 @@
 						|| "".equals(name.getValueAsString().trim())) { //$NON-NLS-1$
 					String seamVersion = SeamUtil.getSeamVersionFromManifest(homeDir.getValueAsString());
 					if (seamVersion == null) {
-						setErrorMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CANNOT_FIND_JBOSS_SEAM_JAR);
+						setErrorMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CANNOT_FIND_JBOSS_SEAM_JAR);
 						setPageComplete(false);
 						return;
 					} else {
@@ -611,14 +611,14 @@
 
 			if (name.getValueAsString() == null || "".equals(//$NON-NLS-1$
 					name.getValueAsString().toString().trim())) {
-				setErrorMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NAME_CANNOT_BE_EMPTY);
+				setErrorMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NAME_CANNOT_BE_EMPTY);
 				setPageComplete(false);
 				return;
 			}
 
 			if (!name.getValueAsString().matches(
 					"[a-zA-Z_][a-zA-Z0-9_\\-\\. ]*")) { //$NON-NLS-1$
-				setErrorMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_RUNTIME_NAME_IS_NOT_CORRECT);
+				setErrorMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_RUNTIME_NAME_IS_NOT_CORRECT);
 				setPageComplete(false);
 				return;
 			}
@@ -627,7 +627,7 @@
 					continue;
 				}
 				if (rt.getName().equals(name.getValueAsString())) {
-					setErrorMessage(NLS.bind(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_RUNTIME_ALREADY_EXISTS,
+					setErrorMessage(NLS.bind(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_RUNTIME_ALREADY_EXISTS,
 							name.getValueAsString()));
 					setPageComplete(false);
 					return;
@@ -647,18 +647,18 @@
 
 			if (homeDir.getValueAsString() == null
 					|| "".equals(homeDir.getValueAsString().trim())) { //$NON-NLS-1$
-				setErrorMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_PATH_TO_SEAM_HOME_DIRECTORY_CANNOT_BE_EMPTY);
+				setErrorMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_PATH_TO_SEAM_HOME_DIRECTORY_CANNOT_BE_EMPTY);
 				setPageComplete(false);
 				return;
 			}
 
 			String seamVersion = SeamUtil.getSeamVersionFromManifest(homeDir.getValueAsString());
 			if (seamVersion == null) {
-				setErrorMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CANNOT_FIND_JBOSS_SEAM_JAR);
+				setErrorMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CANNOT_FIND_JBOSS_SEAM_JAR);
 				setPageComplete(false);
 				return;
 			} else if ("".equals(seamVersion)) { //$NON-NLS-1$
-				setMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CANNOT_OBTAIN_SEAM_VERSION_NUMBER,
+				setMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_CANNOT_OBTAIN_SEAM_VERSION_NUMBER,
 						IMessageProvider.WARNING);
 				setPageComplete(true);
 				return;
@@ -666,10 +666,10 @@
 				String trimmedVersion = SeamUtil.trimSeamVersion(version.getValueAsString(), 1);
 				String trimmedSeamVersion = SeamUtil.trimSeamVersion(seamVersion, 1);
 				if(SeamVersion.findMatchingVersion(seamVersion)==null && SeamUtil.areSeamVersionsMatched(trimmedVersion, trimmedSeamVersion)) {
-					setMessage(NLS.bind(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_THE_SELECTED_SEAM_APPEARS_TO_BE_OF_INCOMATIBLE_VERSION,
+					setMessage(NLS.bind(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_THE_SELECTED_SEAM_APPEARS_TO_BE_OF_INCOMATIBLE_VERSION,
 							seamVersion), IMessageProvider.WARNING);
 				} else {
-					setErrorMessage(NLS.bind(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_THE_SELECTED_SEAM_APPEARS_TO_BE_OF_INCOMATIBLE_VERSION,
+					setErrorMessage(NLS.bind(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_THE_SELECTED_SEAM_APPEARS_TO_BE_OF_INCOMATIBLE_VERSION,
 						seamVersion));
 					setPageComplete(false);
 					return;
@@ -737,7 +737,7 @@
 		public SeamRuntimeNewWizard(List<SeamRuntime> exist,
 				List<SeamRuntime> added, List<SeamVersion> validSeamVersions) {
 			super();
-			setWindowTitle(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NEW_SEAM_RUNTIME);
+			setWindowTitle(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_NEW_SEAM_RUNTIME);
 			page1 = new SeamRuntimeWizardPage(exist, validSeamVersions);
 			addPage(page1);
 			this.value = exist;
@@ -801,12 +801,12 @@
 				SeamRuntime source, List<SeamRuntime> added,
 				Map<SeamRuntime, SeamRuntime> changed) {
 			super();
-			setWindowTitle(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_EDIT_SEAM_RUNTIME);
+			setWindowTitle(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_EDIT_SEAM_RUNTIME);
 			page1 = new SeamRuntimeWizardPage(existing);
 			page1
-					.setMessage(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_MODIFY_SEAM_RUNTIME);
+					.setMessage(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_MODIFY_SEAM_RUNTIME);
 			page1
-					.setTitle(SeamUIMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_EDIT_SEAM_RUNTIME);
+					.setTitle(SeamCoreMessages.SEAM_RUNTIME_LIST_FIELD_EDITOR_EDIT_SEAM_RUNTIME);
 			addPage(page1);
 			this.value = existing;
 			this.added = added;
@@ -1032,7 +1032,7 @@
 		 * Constructior create Add action with default name
 		 */
 		public AddAction() {
-			super(SeamUIMessages.SeamRuntimeListFieldEditor_ActionAdd);
+			super(SeamCoreMessages.SeamRuntimeListFieldEditor_ActionAdd);
 			// This action is always available
 			setEnabled(true);
 		}
@@ -1093,7 +1093,7 @@
 		 * @param text
 		 */
 		public EditAction() {
-			super(SeamUIMessages.SeamRuntimeListFieldEditor_ActionEdit);
+			super(SeamCoreMessages.SeamRuntimeListFieldEditor_ActionEdit);
 		}
 
 		/**
@@ -1151,7 +1151,7 @@
 		 * Create DeleteAction action with default name
 		 */
 		public RemoveAction() {
-			super(SeamUIMessages.SeamRuntimeListFieldEditor_ActionRemove);
+			super(SeamCoreMessages.SeamRuntimeListFieldEditor_ActionRemove);
 		}
 
 		@Override
@@ -1176,10 +1176,10 @@
 
 		private void removeRuntime(SeamRuntime r) {
 			boolean used = isRuntimeUsed(r.getName());
-			String title = SeamUIMessages.RUNTIME_DELETE_CONFIRM_TITLE;
+			String title = SeamCoreMessages.RUNTIME_DELETE_CONFIRM_TITLE;
 			String message = (used) ? NLS.bind(
-					SeamUIMessages.RUNTIME_DELETE_USED_CONFIRM, r.getName())
-					: NLS.bind(SeamUIMessages.RUNTIME_DELETE_NOT_USED_CONFIRM,
+					SeamCoreMessages.RUNTIME_DELETE_USED_CONFIRM, r.getName())
+					: NLS.bind(SeamCoreMessages.RUNTIME_DELETE_NOT_USED_CONFIRM,
 							r.getName());
 			boolean b = MessageDialog.openConfirm(tableView.getControl()
 					.getShell(), title, message);
Index: src/org/jboss/tools/seam/ui/handlers/OpenSeamComponentHandler.java
===================================================================
--- src/org/jboss/tools/seam/ui/handlers/OpenSeamComponentHandler.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/handlers/OpenSeamComponentHandler.java	(working copy)
@@ -20,9 +20,9 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.dialogs.SelectionDialog;
 import org.jboss.tools.seam.core.ISeamComponentDeclaration;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.SeamComponentDeclaration;
 import org.jboss.tools.seam.internal.core.SeamJavaComponentDeclaration;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.wizard.OpenSeamComponentDialog;
 import org.jboss.tools.seam.ui.wizard.OpenSeamComponentDialog.SeamComponentWrapper;
 /**
@@ -37,8 +37,8 @@
 		
 		dialog= new OpenSeamComponentDialog(parent);
 		
-		dialog.setTitle(SeamUIMessages.OPEN_SEAM_COMPONENT_ACTION_ACTION_NAME);
-		dialog.setMessage(SeamUIMessages.OPEN_SEAM_COMPONENT_ACTION_MESSAGE);
+		dialog.setTitle(SeamCoreMessages.OPEN_SEAM_COMPONENT_ACTION_ACTION_NAME);
+		dialog.setMessage(SeamCoreMessages.OPEN_SEAM_COMPONENT_ACTION_MESSAGE);
 
 		int result= dialog.open();
 		if (result != IDialogConstants.OK_ID)
Index: src/org/jboss/tools/seam/ui/actions/FindSeamDeclarationsAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/actions/FindSeamDeclarationsAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/actions/FindSeamDeclarationsAction.java	(working copy)
@@ -11,7 +11,7 @@
 
 package org.jboss.tools.seam.ui.actions;
 
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.search.SeamSearchScope;
 
 /**
@@ -25,9 +25,9 @@
 	 * Constructs the FindSeamDeclarationAction
 	 */
 	public FindSeamDeclarationsAction() {
-		setText(SeamUIMessages.FIND_DECLARATIONS_ACTION_ACTION_NAME);
-		setDescription(SeamUIMessages.FIND_DECLARATIONS_ACTION_DESCRIPTION);
-		setToolTipText(SeamUIMessages.FIND_DECLARATIONS_ACTION_TOOL_TIP);
+		setText(SeamCoreMessages.FIND_DECLARATIONS_ACTION_ACTION_NAME);
+		setDescription(SeamCoreMessages.FIND_DECLARATIONS_ACTION_DESCRIPTION);
+		setToolTipText(SeamCoreMessages.FIND_DECLARATIONS_ACTION_TOOL_TIP);
 	}
 
 	/**
Index: src/org/jboss/tools/seam/ui/actions/SeamFindQuickAssistProcessor.java
===================================================================
--- src/org/jboss/tools/seam/ui/actions/SeamFindQuickAssistProcessor.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/actions/SeamFindQuickAssistProcessor.java	(working copy)
@@ -36,9 +36,9 @@
 import org.jboss.tools.common.el.core.model.ELInvocationExpression;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.el.SeamELCompletionEngine;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.SeamUiImages;
 import org.jboss.tools.seam.ui.handlers.FindSeamDeclarationsHandler;
 import org.jboss.tools.seam.ui.handlers.FindSeamReferencesHandler;
@@ -138,7 +138,7 @@
 					contents, 
 					SeamUiImages.getImage("find_seam_declarations.gif"), 
 					Messages.format(
-							SeamUIMessages.SeamQuickFixFindDeclarations, 
+							SeamCoreMessages.SeamQuickFixFindDeclarations, 
 							new Object[] {searchString}),
 					context) {
 				public void apply(IDocument target) {
@@ -153,7 +153,7 @@
 					contents, 
 					SeamUiImages.getImage("find_seam_references.gif"), 
 					Messages.format(
-							SeamUIMessages.SeamQuickFixFindReferences, 
+							SeamCoreMessages.SeamQuickFixFindReferences, 
 							new Object[] {searchString}),
 					context) {
 				public void apply(IDocument target) {
Index: src/org/jboss/tools/seam/ui/actions/CreateProjectAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/actions/CreateProjectAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/actions/CreateProjectAction.java	(working copy)
@@ -22,8 +22,8 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.internal.ide.IIDEHelpContextIds;
 import org.jboss.tools.common.model.ui.util.ExtensionPointUtils;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.SeamUiImages;
 
 /**
@@ -45,8 +45,8 @@
 	private static final int SIZING_WIZARD_HEIGHT = 500;
 
 	public CreateProjectAction() {
-		super(SeamUIMessages.CREATE_NEW_SEAM_PROJECT);
-		setToolTipText(SeamUIMessages.CREATE_NEW_SEAM_PROJECT);
+		super(SeamCoreMessages.CREATE_NEW_SEAM_PROJECT);
+		setToolTipText(SeamCoreMessages.CREATE_NEW_SEAM_PROJECT);
 		setImageDescriptor(SeamUiImages
 				.getImageDescriptor(SeamUiImages.SEAM_CREATE_PROJECT_ACTION));
 	}
@@ -72,7 +72,7 @@
 			SeamGuiPlugin
 					.getPluginLog()
 					.logError(
-							NLS.bind(SeamUIMessages.CREATE_PROJECT_ACTION_UNABLE_TO_CREATE_WIZARD,
+							NLS.bind(SeamCoreMessages.CREATE_PROJECT_ACTION_UNABLE_TO_CREATE_WIZARD,
 									SEAM_CREATE_PROJECT_WIZARD_ID));
 
 		}
Index: src/org/jboss/tools/seam/ui/actions/OpenSeamComponentAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/actions/OpenSeamComponentAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/actions/OpenSeamComponentAction.java	(working copy)
@@ -26,9 +26,9 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.dialogs.SelectionDialog;
 import org.jboss.tools.seam.core.ISeamComponentDeclaration;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.SeamComponentDeclaration;
 import org.jboss.tools.seam.internal.core.SeamJavaComponentDeclaration;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.wizard.OpenSeamComponentDialog;
 import org.jboss.tools.seam.ui.wizard.OpenSeamComponentDialog.SeamComponentWrapper;
 
@@ -40,9 +40,9 @@
 
 	public OpenSeamComponentAction() {
 		super();
-		setText(SeamUIMessages.OPEN_SEAM_COMPONENT_ACTION_ACTION_NAME);
-		setDescription(SeamUIMessages.OPEN_SEAM_COMPONENT_ACTION_DESCRIPTION);
-		setToolTipText(SeamUIMessages.OPEN_SEAM_COMPONENT_ACTION_TOOL_TIP);
+		setText(SeamCoreMessages.OPEN_SEAM_COMPONENT_ACTION_ACTION_NAME);
+		setDescription(SeamCoreMessages.OPEN_SEAM_COMPONENT_ACTION_DESCRIPTION);
+		setToolTipText(SeamCoreMessages.OPEN_SEAM_COMPONENT_ACTION_TOOL_TIP);
 	}
 
 	public void run() {
@@ -55,8 +55,8 @@
 		
 		dialog= new OpenSeamComponentDialog(parent);
 		
-		dialog.setTitle(SeamUIMessages.OPEN_SEAM_COMPONENT_ACTION_ACTION_NAME);
-		dialog.setMessage(SeamUIMessages.OPEN_SEAM_COMPONENT_ACTION_MESSAGE);
+		dialog.setTitle(SeamCoreMessages.OPEN_SEAM_COMPONENT_ACTION_ACTION_NAME);
+		dialog.setMessage(SeamCoreMessages.OPEN_SEAM_COMPONENT_ACTION_MESSAGE);
 
 		int result= dialog.open();
 		if (result != IDialogConstants.OK_ID)
Index: src/org/jboss/tools/seam/ui/actions/FindSeamReferencesAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/actions/FindSeamReferencesAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/actions/FindSeamReferencesAction.java	(working copy)
@@ -11,7 +11,7 @@
 
 package org.jboss.tools.seam.ui.actions;
 
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.search.SeamSearchScope;
 
 /**
@@ -25,9 +25,9 @@
 	 * Constructs the FindSeamReferencesAction
 	 */
 	public FindSeamReferencesAction() {
-		setText(SeamUIMessages.FIND_REFERENCES_ACTION_ACTION_NAME);
-		setDescription(SeamUIMessages.FIND_REFERENCES_ACTION_DESCRIPTION);
-		setToolTipText(SeamUIMessages.FIND_REFERENCES_ACTION_TOOL_TIP);
+		setText(SeamCoreMessages.FIND_REFERENCES_ACTION_ACTION_NAME);
+		setDescription(SeamCoreMessages.FIND_REFERENCES_ACTION_DESCRIPTION);
+		setToolTipText(SeamCoreMessages.FIND_REFERENCES_ACTION_TOOL_TIP);
 	}
 
 	/**
Index: src/org/jboss/tools/seam/ui/preferences/SeamSettingsPreferencePage.java
===================================================================
--- src/org/jboss/tools/seam/ui/preferences/SeamSettingsPreferencePage.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/preferences/SeamSettingsPreferencePage.java	(working copy)
@@ -67,8 +67,8 @@
 import org.jboss.tools.seam.core.project.facet.SeamRuntimeManager;
 import org.jboss.tools.seam.core.project.facet.SeamVersion;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.ui.wizard.ISeamParameter;
 import org.jboss.tools.seam.ui.wizard.SeamWizardFactory;
 import org.jboss.tools.seam.ui.wizard.SeamWizardUtils;
Index: src/org/jboss/tools/seam/ui/refactoring/SeamRefactorContributionFactory.java
===================================================================
--- src/org/jboss/tools/seam/ui/refactoring/SeamRefactorContributionFactory.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/refactoring/SeamRefactorContributionFactory.java	(working copy)
@@ -73,11 +73,11 @@
 import org.jboss.tools.seam.core.ISeamJavaComponentDeclaration;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.refactoring.RenameComponentProcessor;
 import org.jboss.tools.seam.internal.core.refactoring.RenameComponentRefactoring;
 import org.jboss.tools.seam.internal.core.refactoring.RenameSeamContextVariableProcessor;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.wizard.RenameComponentWizard;
 import org.jboss.tools.seam.ui.wizard.RenameSeamContextVariableWizard;
 import org.w3c.dom.Node;
@@ -139,7 +139,7 @@
 			if(seamProject == null)
 				return;
 			
-			MenuManager mm = new MenuManager(SeamUIMessages.SEAM_REFACTOR);
+			MenuManager mm = new MenuManager(SeamCoreMessages.SEAM_REFACTOR);
 			mm.setVisible(true);
 			
 			boolean separatorIsAdded = false;
@@ -427,7 +427,7 @@
 		RenameComponentWizard wizard = new RenameComponentWizard(refactoring, component);
 		RefactoringWizardOpenOperation op = new RefactoringWizardOpenOperation(wizard);
 		try {
-			String titleForFailedChecks = SeamUIMessages.SEAM_COMPONENT_RENAME_HANDLER_ERROR;
+			String titleForFailedChecks = SeamCoreMessages.SEAM_COMPONENT_RENAME_HANDLER_ERROR;
 			op.run(activeShell, titleForFailedChecks);
 		} catch (final InterruptedException irex) {
 			// operation was canceled
@@ -444,7 +444,7 @@
 		RenameSeamContextVariableWizard wizard = new RenameSeamContextVariableWizard(refactoring, editorFile);
 		RefactoringWizardOpenOperation op = new RefactoringWizardOpenOperation(wizard);
 		try {
-			String titleForFailedChecks = SeamUIMessages.SEAM_COMPONENT_RENAME_HANDLER_ERROR;
+			String titleForFailedChecks = SeamCoreMessages.SEAM_COMPONENT_RENAME_HANDLER_ERROR;
 			op.run(activeShell, titleForFailedChecks);
 		} catch (final InterruptedException irex) {
 			// operation was canceled
@@ -455,7 +455,7 @@
 	
 	class RenameSeamComponentAction extends Action{
 		public RenameSeamComponentAction(){
-			super(SeamUIMessages.RENAME_SEAM_COMPONENT);
+			super(SeamCoreMessages.RENAME_SEAM_COMPONENT);
 		}
 
 		public void run(){
@@ -468,7 +468,7 @@
 	
 	class RenameSeamContextVariableAction extends Action{
 		public RenameSeamContextVariableAction(){
-			super(SeamUIMessages.RENAME_SEAM_CONTEXT_VARIABLE);
+			super(SeamCoreMessages.RENAME_SEAM_CONTEXT_VARIABLE);
 		}
 		public void run(){
 			saveAndBuild();
Index: src/org/jboss/tools/seam/ui/search/SeamSearchScope.java
===================================================================
--- src/org/jboss/tools/seam/ui/search/SeamSearchScope.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/search/SeamSearchScope.java	(working copy)
@@ -31,8 +31,8 @@
 import org.eclipse.search.ui.text.FileTextSearchScope;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * Seam Search Scope object
@@ -95,15 +95,15 @@
 	private String getScopeDescription(IResource[] resources) {
 		String description;
 		if (resources.length == 0) {
-			description= SeamUIMessages.SeamSearchScope_scope_empty;
+			description= SeamCoreMessages.SeamSearchScope_scope_empty;
 		} else if (resources.length == 1) {
-			String label= SeamUIMessages.SeamSearchScope_scope_single;
+			String label= SeamCoreMessages.SeamSearchScope_scope_single;
 			description= Messages.format(label, resources[0].getName());
 		} else if (resources.length == 2) {
-			String label= SeamUIMessages.SeamSearchScope_scope_double;
+			String label= SeamCoreMessages.SeamSearchScope_scope_double;
 			description= Messages.format(label, new String[] { resources[0].getName(), resources[1].getName()});
 		} else {
-			String label= SeamUIMessages.SeamSearchScope_scope_multiple;
+			String label= SeamCoreMessages.SeamSearchScope_scope_multiple;
 			description= Messages.format(label, new String[] { resources[0].getName(), resources[1].getName()});
 		}
 		return description;
@@ -147,8 +147,8 @@
 	 */
 	public String getLimitToDescription() {
 		return SeamSearchEngine.isSearchForDeclarations(getLimitTo()) ?
-			SeamUIMessages.SeamSearchScope_scope_LimitToDeclarations : 
-			SeamUIMessages.SeamSearchScope_scope_LimitToReferences;
+			SeamCoreMessages.SeamSearchScope_scope_LimitToDeclarations : 
+			SeamCoreMessages.SeamSearchScope_scope_LimitToReferences;
 	}
 
 	/**
Index: src/org/jboss/tools/seam/ui/search/SeamSearchQuery.java
===================================================================
--- src/org/jboss/tools/seam/ui/search/SeamSearchQuery.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/search/SeamSearchQuery.java	(working copy)
@@ -36,8 +36,8 @@
 import org.jboss.tools.seam.core.ISeamDeclaration;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.el.SeamELCompletionEngine;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * Seam search query implementation
@@ -308,7 +308,7 @@
 	 */
 	public String getLabel() {
 		Object[] args= { fScope.getLimitToDescription() };
-		return Messages.format(SeamUIMessages.SeamSearchQuery_label, args);
+		return Messages.format(SeamCoreMessages.SeamSearchQuery_label, args);
 	}
 
 	/**
@@ -345,10 +345,10 @@
 				// search is limited to declarations only
 				if (nMatches == 1) {
 					Object[] args= { searchString, fScope.getDescription(), fScope.getLimitToDescription() };
-					return Messages.format(SeamUIMessages.SeamSearchQuery_singularPatternWithLimitTo, args);
+					return Messages.format(SeamCoreMessages.SeamSearchQuery_singularPatternWithLimitTo, args);
 				}
 				Object[] args= { searchString, new Integer(nMatches), fScope.getDescription(), fScope.getLimitToDescription() };
-				return Messages.format(SeamUIMessages.SeamSearchQuery_pluralPatternWithLimitTo, args);
+				return Messages.format(SeamCoreMessages.SeamSearchQuery_pluralPatternWithLimitTo, args);
 			}
 			if (SeamSearchEngine.isSearchForReferences(fScope.getLimitTo())) {
 				// text search
@@ -356,10 +356,10 @@
 					// search all file extensions
 					if (nMatches == 1) {
 						Object[] args= { searchString, fScope.getDescription(), fScope.getLimitToDescription() };
-						return Messages.format(SeamUIMessages.SeamSearchQuery_singularLabel, args);
+						return Messages.format(SeamCoreMessages.SeamSearchQuery_singularLabel, args);
 					}
 					Object[] args= { searchString, new Integer(nMatches), fScope.getDescription(), fScope.getLimitToDescription() };
-					return Messages.format(SeamUIMessages.SeamSearchQuery_pluralPattern, args); 
+					return Messages.format(SeamCoreMessages.SeamSearchQuery_pluralPattern, args); 
 				}
 			}
 		}
Index: src/org/jboss/tools/seam/ui/search/SeamSearchVisitor.java
===================================================================
--- src/org/jboss/tools/seam/ui/search/SeamSearchVisitor.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/search/SeamSearchVisitor.java	(working copy)
@@ -113,6 +113,7 @@
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.AbstractSeamDeclaration;
 import org.jboss.tools.seam.internal.core.SeamComponent;
 import org.jboss.tools.seam.internal.core.el.SeamELCompletionEngine;
@@ -121,7 +122,6 @@
 import org.jboss.tools.seam.internal.core.scanner.java.ResolvedAnnotation;
 import org.jboss.tools.seam.internal.core.scanner.java.SeamAnnotations;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.text.java.scanner.JavaAnnotationScanner;
 import org.w3c.dom.Node;
 import org.w3c.dom.NodeList;
@@ -966,7 +966,7 @@
 				if (seamProject != null) {
 					String seamProjectName= seamProject.getProject().getName();
 					Object[] args= { seamProjectName, new Integer(fNumberOfScannedFiles), new Integer(fNumberOfFilesToScan)};
-					fProgressMonitor.subTask(Messages.format(SeamUIMessages.SeamSearchVisitor_scanning, args));
+					fProgressMonitor.subTask(Messages.format(SeamCoreMessages.SeamSearchVisitor_scanning, args));
 					int steps= fNumberOfScannedFiles - fLastNumberOfScannedFiles;
 					fProgressMonitor.worked(steps);
 					fLastNumberOfScannedFiles += steps;
